## GntWS GntWS — Workspace API |

## Functions

GType | gnt_ws_get_gtype ()
GntWS * | gnt_ws_new ()
void | gnt_ws_set_name ()
void | gnt_ws_add_widget ()
void | gnt_ws_remove_widget ()
void | gnt_ws_widget_hide ()
void | gnt_ws_widget_show ()
void | gnt_ws_draw_taskbar ()
void | gnt_ws_hide ()
void | gnt_ws_show ()
const char * | gnt_ws_get_name ()

## Types and Values

struct | GntWS

## Description

## Functions

### gnt_ws_get_gtype ()

    GType
    gnt_ws_get_gtype (void);

#### Returns

The GType for GntWS.

Since: 2.1.0

### gnt_ws_new ()

    GntWS *
    gnt_ws_new (const char *name);

Create a new workspace with the specified name.

#### Parameters

name | The desired name of the workspace, or `NULL`. |

#### Returns

The newly created workspace.

Since: 2.1.0

### gnt_ws_set_name ()

    void
    gnt_ws_set_name (GntWS *ws,
                     const gchar *name);

Set the name of a workspace.

#### Parameters

ws | The workspace to rename. |
name | The new name of the workspace. |

Since: 2.1.0

### gnt_ws_add_widget ()

    void
    gnt_ws_add_widget (GntWS *ws,
                       GntWidget *widget);

Add a widget to a workspace.

#### Parameters

ws | The workspace. |
widget | The widget to add. |

Since: 2.1.0

### gnt_ws_remove_widget ()

    void
    gnt_ws_remove_widget (GntWS *ws,
                          GntWidget *widget);

Remove a widget from a workspace.

#### Parameters

ws | The workspace |
widget | The widget to remove from the workspace. |

Since: 2.1.0

### gnt_ws_widget_hide ()

    void
    gnt_ws_widget_hide (GntWidget *widget,
                        GHashTable *nodes);

Hide a widget in a workspace.

#### Parameters

widget | The widget to hide. |
nodes | A hashtable containing information about the widgets. |

Since: 2.1.0

### gnt_ws_widget_show ()

    void
    gnt_ws_widget_show (GntWidget *widget,
                        GHashTable *nodes);

Show a widget in a workspace.

#### Parameters

widget | The widget to show. |
nodes | A hashtable containing information about the widgets. |

Since: 2.1.0

### gnt_ws_draw_taskbar ()

    void
    gnt_ws_draw_taskbar (GntWS *ws,
                         gboolean reposition);

Draw the taskbar in a workspace.

#### Parameters

ws | The workspace. |
reposition | Whether the workspace should reposition the taskbar. |

Since: 2.1.0

### gnt_ws_hide ()

    void
    gnt_ws_hide (GntWS *ws,
                 GHashTable *table);

Hide a workspace.

#### Parameters

ws | The workspace to hide. |
table | A hashtable containing information about the widgets. |

Since: 2.1.0

### gnt_ws_show ()

    void
    gnt_ws_show (GntWS *ws,
                 GHashTable *table);

Show a workspace.

#### Parameters

ws | The workspace to hide. |
table | A hashtable containing information about the widgets. |

Since: 2.1.0

### gnt_ws_get_name ()

    const char *
    gnt_ws_get_name (GntWS *ws);

Get the name of a workspace.

#### Parameters

ws | The workspace. |

#### Returns

The name of the workspace (can be `NULL`).

Since: 2.1.0

## Types and Values

### struct GntWS

    struct GntWS {
    	GntBindable inherit;
    	char *GNTSEAL(name);
    	GList *GNTSEAL(list);
    	GList *GNTSEAL(ordered);
    	gpointer GNTSEAL(ui_data);

    	void *GNTSEAL(res1);
    	void *GNTSEAL(res2);
    	void *GNTSEAL(res3);
    	void *GNTSEAL(res4);
    };

Access to any fields is deprecated. See inline comments for replacements.

Since: 2.1.0